# Uses of Interface
org.opensaml.saml.saml2.core.EncryptedAttribute

Packages that use EncryptedAttribute
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.encryption
Classes for encrypting and decrypting SAML.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.

## Uses of EncryptedAttribute in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return types with arguments of type EncryptedAttribute
Modifier and Type
Method
Description
`List<EncryptedAttribute>`
AttributeStatement.`getEncryptedAttributes()`
Gets the encrypted attributes expressed in this statement.

## Uses of EncryptedAttribute in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement EncryptedAttribute
Modifier and Type
Class
Description
`class`
`EncryptedAttributeImpl`
A concrete implementation of `EncryptedAttribute`.
Methods in org.opensaml.saml.saml2.core.impl that return EncryptedAttribute
Modifier and Type
Method
Description
`EncryptedAttribute`
EncryptedAttributeBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`EncryptedAttribute`
EncryptedAttributeBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.core.impl that return types with arguments of type EncryptedAttribute
Modifier and Type
Method
Description
`List<EncryptedAttribute>`
AttributeStatementImpl.`getEncryptedAttributes()`
Gets the encrypted attributes expressed in this statement.

## Uses of EncryptedAttribute in org.opensaml.saml.saml2.encryption

Methods in org.opensaml.saml.saml2.encryption that return EncryptedAttribute
Modifier and Type
Method
Description
`EncryptedAttribute`
Encrypter.`encrypt(Attribute attribute)`
Encrypt the specified Attribute.
Methods in org.opensaml.saml.saml2.encryption with parameters of type EncryptedAttribute
Modifier and Type
Method
Description
`Attribute`
Decrypter.`decrypt(EncryptedAttribute encryptedAttribute)`
Decrypt the specified EncryptedAttribute.

## Uses of EncryptedAttribute in org.opensaml.saml.saml2.profile.impl

Methods in org.opensaml.saml.saml2.profile.impl with parameters of type EncryptedAttribute
Modifier and Type
Method
Description
`private Attribute`
DecryptAttributes.`processEncryptedAttribute(ProfileRequestContext profileRequestContext, EncryptedAttribute encAttr)`
Decrypt an `EncryptedAttribute` and return the result.